--- title: "Activities" slug: "activities-6" updated: 2025-10-24T22:06:22Z published: 2025-10-24T22:07:47Z canonical: "guide.youraspire.com/activities-6" --- > ## Documentation Index > Fetch the complete documentation index at: https://guide.youraspire.com/llms.txt > Use this file to discover all available pages before exploring further. # Activities ## **Description** Activities consist of appointments, tasks, issues, and milestones belonging to the logged-in Aspire user. Click [activities](https://guide.youraspire.com/docs/activities) for more information. ## Resource Overview Overview of available endpoints. | **Endpoint** | **Definition** | | --- | --- | | [GET /Activities](https://guide.youraspire.com/v1-api/apidocs/activities-4) | Retrieve activity data. | ## Attributes | Attribute | Description | **Data Type** | Notes | | --- | --- | --- | --- | | ActivityID | unique identifier for an activity | integer(int32) | | | ActivityNumber | an identifying number assigned to an activity used to search for a saved activity in Aspire | integer(int32) | | | ActivityType | an email, task, issue, or milestone in the Aspire system | string | Max Length:15 | | CompleteDate | date of activity closure | DateTime | | | CompletedByUserID | unique identifier of the user who closed out the activity | integer(int32) | | | CompletedByUserName | name of the user who completed the activity | string | Max Length: 101 | | CreatedByUserID | unique identifier of the user who created the activity. | integer(int32) | | | CreatedByUserName | name of user who created the activity | string | Max Length:101 | | CreatedDate | activity creation date | DateTime | | | DueDate | date detailing when an action specified in an email, task, issue, or milestone is due. | DateTime | | | EndDate | date detailing when an action specified in an email, task, issue, or milestone is scheduled to close. | DateTime | | | IncludeClient | specify whether the primary contact for a client is to receive notification regarding the activity. | boolean | | | IncludeCrew | specify whether the crew leader(s) associated with an activity will receive a notification once created. | boolean | | | InvoiceID | unique identifier for invoice | integer(int32) | | | IsMileStone | target dates related to an opportunity or work order | boolean | | | Location | physical address related to an activity | string | Max Length: 100 | | ModifiedDate | date capturing when activity information is updated | DateTime | | | Notes | additional details added to an activity. | string | Max Length: 2147483647 | | OpportunityID | unique identifier for an opportunity | integer(int32) | | | PaymentID | unique identifier for a payment entry | integer(int32) | | | Priority | assigned order of importance classified as "High," "Normal," or "Low" | string | Max Length:15 | | Private | prevent users not assigned to the activity from having visibility into an activity | boolean | | | PropertyID | unique identifier for a property | integer(int32) | | | SentDate | date user activity type to the recipient | DateTime | | | StartDate | created start date | DateTime | | | Status | current state of activity: "Open" or "Completed" | string | Max Length: 15 | | Subject | title heading of activity | string | Max Length: 200 | | WorkTicketID | unique identifier for work ticket | integer(int32) | |